%define		module	calver
Summary:	Setuptools extension for CalVer package versions
Name:		python3-%{module}
Version:	2022.6.26
Release:	3
License:	Apache
Group:		Libraries/Python
Source0:	https://pypi.debian.net/calver/%{module}-%{version}.tar.gz
# Source0-md5:	e1fd924b9bf953c0b28c49bdfe117d7a
URL:		https://pypi.org/project/calver/
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The calver package is a setuptools extension for automatically
defining your Python package version as a calendar version.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%dir %{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}/*.py
%{py3_sitescriptdir}/%{module}/__pycache__
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-calver.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 83bc36d
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 1808aa7
- python 3.13 rebuild

* Fri Feb 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> c5a32a7
- Initial

